summaryrefslogtreecommitdiff
path: root/test/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/run-test.sh')
-rwxr-xr-xtest/run-test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/run-test.sh b/test/run-test.sh
index 5648179..76bd075 100755
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -67,6 +67,12 @@ echo "DBUS_TOP_BUILDDIR=$DBUS_TOP_BUILDDIR"
echo "PYTHONPATH=$PYTHONPATH"
echo "PYTHON=$PYTHON"
+# the exceptions handling test is version specific
+PYMAJOR=$($PYTHON -c 'import sys;print(sys.version_info[0])')
+PYTEST=test-exception-py$PYMAJOR.py
+echo "running $PYTEST"
+$PYTHON "$DBUS_TOP_SRCDIR"/test/$PYTEST || die "$PYTEST failed"
+
echo "running test-standalone.py"
$PYTHON "$DBUS_TOP_SRCDIR"/test/test-standalone.py || die "test-standalone.py failed"